Bug 3568 - [UPDATE REQUEST] [UPSTREAM UPDATE] libibverbs-rocee & libmlx4-rocee
: [UPDATE REQUEST] [UPSTREAM UPDATE] libibverbs-rocee & libmlx4-rocee
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-13 14:45 MSK by Andrew Lukoshko
Modified: 2014-01-16 20:24 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2014-01-13 14:45:41 MSK
* When upgrading a system from a normal install without HPN packages (libibverbs-rocee and libmlx4-rocee) to a system with HPN packages, the upgrade process failed to uninstall the obsolete libibverbs packages properly. Consequently, transaction check errors were returned and an update from the package management utility, yum, refused to proceed. With this update, the rebuilt libibverbs-rocee packages correctly uninstall the obsolete packages, transaction check errors from yum no longer occur, and thus the upgrade proceeds normally.

* When upgrading to the current libmlx4-rocee package, a necessary line in the /etc/modprobe.d/libmlx4.conf file was missing. As a consequence, when using RoCE and IBoE devices, the user suddenly lost their HPN support, and errors were returned. The missing line has been added, and the aforementioned scenario no longer occurs.

http://rhn.redhat.com/errata/RHBA-2013-1830.html

https://abf.rosalinux.ru/build_lists/1513292
https://abf.rosalinux.ru/build_lists/1513293

https://abf.rosalinux.ru/build_lists/1513288
https://abf.rosalinux.ru/build_lists/1513289
Comment 1 Vladimir Potapov 2014-01-14 08:44:08 MSK
libmlx4-rocee-1.0.5-1.1.res6
libibverbs-rocee-1.1.7-1.1.res6
*************************** RHEL Advisory ***********************
* When upgrading a system from a normal install without HPN packages (libibverbs-rocee and libmlx4-rocee) to a system with HPN packages, the upgrade process failed to uninstall the obsolete libibverbs packages properly. Consequently, transaction check errors were returned and an update from the package management utility, yum, refused to proceed. With this update, the rebuilt libibverbs-rocee packages correctly uninstall the obsolete packages, transaction check errors from yum no longer occur, and thus the upgrade proceeds normally.

* When upgrading to the current libmlx4-rocee package, a necessary line in the /etc/modprobe.d/libmlx4.conf file was missing. As a consequence, when using RoCE and IBoE devices, the user suddenly lost their HPN support, and errors were returned. The missing line has been added, and the aforementioned scenario no longer occurs.
*******************************************************************
QA Verified